Skip to main content
GET
/
v1
/
prior-auth
/
submission-attempts
/
{submissionAttemptId}
Get a submission attempt
curl --request GET \
  --url https://api.sandbox.trycollate.ai/v1/prior-auth/submission-attempts/{submissionAttemptId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "authorizationId": "<string>",
  "attemptNumber": 123,
  "authorizationVersion": 123,
  "channel": "fax",
  "status": "pending",
  "acceptedAt": "2023-11-07T05:31:56Z",
  "deliveredAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "failedAt": "2023-11-07T05:31:56Z",
  "failure": {
    "code": "<string>",
    "message": "<string>",
    "retryable": true
  }
}

Authorizations

Authorization
string
header
required

Bearer token for WorkOS session JWTs and organization API keys.

Path Parameters

submissionAttemptId
string
required
Example:

"sa_123"

Response

Submission attempt details.

id
string
required
authorizationId
string
required
attemptNumber
integer
required
authorizationVersion
integer
required
channel
enum<string> | null
required
Available options:
fax,
portal,
phone,
null
status
enum<string>
required
Available options:
pending,
completed,
failed
acceptedAt
string<date-time>
required
deliveredAt
string<date-time> | null
required
completedAt
string<date-time> | null
required
failedAt
string<date-time> | null
required
failure
object
required